This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 958777 - Review Request: jmdns - Java implementation of multi-cast DNS
Review Request: jmdns - Java implementation of multi-cast DNS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 07:54 EDT by Michal Srb
Modified: 2013-05-06 02:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 02:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-02 07:54:12 EDT
Spec URL: http://msrb.fedorapeople.org/review/jmdns.spec
SRPM URL: http://msrb.fedorapeople.org/review/jmdns-3.4.1-1.fc20.src.rpm
Description: JmDNS is a Java implementation of multi-cast DNS
and can be used for service registration and discovery
in local area networks. JmDNS is fully compatible
with Apple's Bonjour.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-05-02 12:25:40 EDT
would like to take this review
Comment 2 gil cattaneo 2013-05-02 12:49:58 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
  IGNORE
- Pom files have correct add_maven_depmap call
  Note: No add_maven_depmap calls found but pom files present
  See: https://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro
  IGNORE
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* LGPL (v2.1 or later) (with incorrect FSF address)",
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/gil/958777-jmdns/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jmdns-3.4.1-1.fc20.noarch.rpm
jmdns.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
jmdns.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
jmdns.noarch: W: invalid-license LGPL
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/README.txt
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: incorrect-fsf-address /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
1 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jmdns
jmdns.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
jmdns.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
jmdns.noarch: W: invalid-license LGPL
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/README.txt
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: incorrect-fsf-address /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
1 packages and 0 specfiles checked; 2 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
jmdns (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
jmdns:
    jmdns
    mvn(javax.jmdns:jmdns)
    osgi(javax.jmdns)



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 958777 -m fedora-rawhide-i386

FIXME
jmdns.noarch: W: invalid-license LGPL
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/README.txt
jmdns.noarch: W: spurious-executable-perm /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt
jmdns.noarch: E: incorrect-fsf-address /usr/share/doc/jmdns-3.4.1/LICENSE-LGPL.txt

LGPL (v2.1 or later) (with incorrect FSF address)
----------------------------------------------------------------
src/sample/java/samples/DiscoverServiceTypes.java

can use
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301,"  src/sample/java/samples/DiscoverServiceTypes.java LICENSE-LGPL.txt

license should be ASL 2.0 and LGPLv2+
Comment 3 Michal Srb 2013-05-03 02:47:46 EDT
Spec URL: http://msrb.fedorapeople.org/review/2/jmdns.spec
SRPM URL: http://msrb.fedorapeople.org/review/2/jmdns-3.4.1-2.fc20.src.rpm

- Fix license tag
- Fix rpmlint warnings
Comment 4 Michal Srb 2013-05-03 02:51:30 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: jmdns
Short Description: Java implementation of multi-cast DNS
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 5 Jon Ciesla 2013-05-03 07:23:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.